<?php
// Home page icons block

namespace Drupal\site\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\file_url_generatorservice;
use Drupal\image\Entity\ImageStyle;


/**
 * Provides a block with a simple text.
 *
 * @Block(
 *   id = "home_icons_block",
 *   admin_label = @Translation("EN9 home icons block"),
 *   category = @Translation("electronovelty"),
 * )
 */
class Home_Icons_Block extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    // get variables
    //$en_drupal_icon_file = \Drupal::service('file_url_generator')->generateAbsoluteString('public://site/home_icons/druplicon-en.png');
    //$en_drupal_do_file = \Drupal::service('file_url_generator')->generateAbsoluteString('public://site/home_icons/Drupal_Association_ind_member_120.png');

    $path = 'public://site/home_icons/druplicon-en.png';
    $en_drupal_icon_file = ImageStyle::load('bottom_icon')->buildUrl($path);
    $path = 'public://site/home_icons/Drupal_Association_ind_member_120.png';
    $en_drupal_do_file = ImageStyle::load('bottom_icon')->buildUrl($path);


    $renderable = [
      '#theme'    => 'home_icons_block',
      '#en_drupal_uri' => \Drupal::service('file_url_generator')->generateAbsoluteString('http://drupal.org/user/109935'),
      '#en_drupal_icon_src' => \Drupal::service('file_url_generator')->transformRelative($en_drupal_icon_file),
      '#en_do_uri' => \Drupal::service('file_url_generator')->generateAbsoluteString('https://association.drupal.org'),
      '#en_do_img_src'  => \Drupal::service('file_url_generator')->transformRelative($en_drupal_do_file),
    ];

    return $renderable;
  }

  /**
   * {@inheritdoc}
   */
  protected function blockAccess(AccountInterface $account) {
    return AccessResult::allowedIfHasPermission($account, 'access content');
  }
}

